# 将频率矩阵导入R语言当中
mydata<-read.table(file.choose(),header=TRUE,row.names=1)
d <- dist(mydata)

# 计算欧式距离，k为维度数
fit <- cmdscale(d,eig=TRUE, k=2) 

# 展示fit结果
fit 
#计算压力值
sqrt(sum((d-dist(fit$points))^2)/sum(d^2))

# 绘图。图10.1中的实线和虚线箭头是为了更直观显示原创和翻译汉语的发展趋势，由作者自行添加的。R制图中并不会生成相关线条。
x <- fit$points[,1]
y <- fit$points[,2]
plot(x, y, xlab="Coordinate 1", ylab="Coordinate 2",main="Metric MDS",xlim=c(-1200,1200),type="n")
text(x, y, labels = row.names(mydata), cex=.7)

install.packages("MASS")
library(MASS)
mydata<-read.table(file.choose(),header=TRUE,row.names=1)
d <- dist(mydata)
fit <- isoMDS(d, k=2)
fit